<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dmac__block__functions" kind="group">
    <compoundname>group_dmac_block_functions</compoundname>
    <title>Block Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__dmac__block__functions_1ga3f45f389340c3282c59d6ffe6e5040b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMAC_Enable</definition>
        <argsstring>(DMAC_Type *base)</argsstring>
        <name>Cy_DMAC_Enable</name>
        <param>
          <type>DMAC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the DMACblock. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMAC block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />a<sp />1D<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />DATACNT<sp />(8UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dmac__descriptor__t">cy_stc_dmac_descriptor_t</ref><sp />descriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dmac__descriptor__t">cy_stc_dmac_descriptor_t</ref><sp />nextDescriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dmac__descriptor__config__t">cy_stc_dmac_descriptor_config_t</ref><sp />descriptor_cfg<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0">retrigger</ref><sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga016be77931e116644c70e934101dd7c3ab796353bb8bb6f244bb8f6d94d002396">CY_DMAC_RETRIG_IM</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.interruptType<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga78bb44cea66b230aadd012c5bae864a3a274e048caf530edf7ef6159face7c486">CY_DMAC_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerOutType<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga78bb44cea66b230aadd012c5bae864a3a274e048caf530edf7ef6159face7c486">CY_DMAC_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.channelState<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga0e57c8ab013d71005b81e60c2c4ee7a9acbff6554ce23780e0fcf2af9e97816cc">CY_DMAC_CHANNEL_ENABLED</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerInType<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga78bb44cea66b230aadd012c5bae864a3a274e048caf530edf7ef6159face7c486">CY_DMAC_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataSize<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1ggac2fda05300faa05ecfc118f22ed2a3c5ad4112bd05bdc21a993b63b0957bfacf8">CY_DMAC_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga678295e9e6a31ad41feab278d0faf4d1a108838a4e9ea224b4a471593b6484471">CY_DMAC_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1gga678295e9e6a31ad41feab278d0faf4d1a108838a4e9ea224b4a471593b6484471">CY_DMAC_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.descriptorType<sp />=<sp /><ref kindref="member" refid="group__group__dmac__enums_1ggafc067b535081b9cd83fa29b9e68b002ca700cc18061eb5de2f16f3dc1ee96fbe8">CY_DMAC_1D_TRANSFER</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcAddress<sp />=<sp />&amp;src,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstAddress<sp />=<sp />&amp;dst,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.xCount<sp />=<sp />DATACNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.yCount<sp />=<sp />1UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nextDescriptor<sp />=<sp />&amp;nextDescriptor,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dmac__enums_1gga67fe9048608517c9cdebbe0372866eb5a5c4b9c1a66c7776ddc98a5b3dedac160">CY_DMAC_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dmac__descriptor__functions_1gad4204ef079b02d9afdd9328f0cd461f9">Cy_DMAC_Descriptor_Init</ref>(&amp;descriptor,<sp />&amp;descriptor_cfg))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />and<sp />enable<sp />the<sp />DMAC<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dmac__channel__config__t">cy_stc_dmac_channel_config_t</ref><sp />channelConfig;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dmac__channel__config__t_1a01cab162709493ed756b6cb21219ff51">enable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dmac__channel__config__t_1ade9585ff561af6ad292932293e0bd15d">bufferable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dmac__enums_1gga67fe9048608517c9cdebbe0372866eb5a5c4b9c1a66c7776ddc98a5b3dedac160">CY_DMAC_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1ga7b508e6cc332b4d009bf9b09ed6529b3">Cy_DMAC_Channel_Init</ref>(DMAC,<sp />0UL,<sp />&amp;channelConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1ga0ea7589df07e40e6723dc7f992e6994b">Cy_DMAC_Channel_SetDescriptor</ref>(DMAC,<sp />0UL,<sp />&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1ga4e68ab04d5de2d6a1b31779741aa64db">Cy_DMAC_Channel_SetPriority</ref>(DMAC,<sp />0UL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gab39e11c3ad72ebfd07cdd9840385769b">Cy_DMAC_Channel_Enable</ref>(DMAC,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__block__functions_1ga3f45f389340c3282c59d6ffe6e5040b5">Cy_DMAC_Enable</ref>(DMAC);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="574" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="571" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="466" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dmac__block__functions_1ga326f150b8c5856c36bf2f19672c03a71" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMAC_Disable</definition>
        <argsstring>(DMAC_Type *base)</argsstring>
        <name>Cy_DMAC_Disable</name>
        <param>
          <type>DMAC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the DMACblock. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMAC block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMAC<sp />channel<sp />0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gafc275a614e5307f13e86a1d0c07e0af5">Cy_DMAC_Channel_GetPriority</ref>(DMAC,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dmac__block__functions_1ga447c513c25c23543cd578f2101d138ad">Cy_DMAC_GetActiveChannel</ref>(DMAC))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gae46d7a93ef597de25a50159b615fcaf1">Cy_DMAC_Channel_Disable</ref>(DMAC,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gaac669d8281a624e28c436e7ff8588ac3">Cy_DMAC_Channel_DeInit</ref>(DMAC,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__block__functions_1ga326f150b8c5856c36bf2f19672c03a71">Cy_DMAC_Disable</ref>(DMAC);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="593" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="590" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="467" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dmac__block__functions_1ga447c513c25c23543cd578f2101d138ad" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_DMAC_GetActiveChannel</definition>
        <argsstring>(DMAC_Type const *base)</argsstring>
        <name>Cy_DMAC_GetActiveChannel</name>
        <param>
          <type>DMAC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the status of the active/pending channels of the DMACblock. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMAC block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a bit-field with all of the currently active/pending channels in the DMAC block.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMAC<sp />channel<sp />0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gafc275a614e5307f13e86a1d0c07e0af5">Cy_DMAC_Channel_GetPriority</ref>(DMAC,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dmac__block__functions_1ga447c513c25c23543cd578f2101d138ad">Cy_DMAC_GetActiveChannel</ref>(DMAC))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gae46d7a93ef597de25a50159b615fcaf1">Cy_DMAC_Channel_Disable</ref>(DMAC,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__channel__functions_1gaac669d8281a624e28c436e7ff8588ac3">Cy_DMAC_Channel_DeInit</ref>(DMAC,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dmac__block__functions_1ga326f150b8c5856c36bf2f19672c03a71">Cy_DMAC_Disable</ref>(DMAC);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="616" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="613" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="468" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>